Bug 225416 - nautilus-cd-burner will not use usb cdrom drives
nautilus-cd-burner will not use usb cdrom drives
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-30 10:30 EST by Maxwell Bottiger
Modified: 2015-01-14 18:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:08:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxwell Bottiger 2007-01-30 10:30:11 EST
Description of problem:
At some point my copy of nautilus-cd-burner stopped recognizing my external dvd
drive.  I have tried this with a second drive and can confirm that it is not a
hardware problem.  After adding my external drive this message is generated:

usb 5-1: new high speed USB device using ehci_hcd and address 3
usb 5-1: configuration #1 chosen from 1 choice
scsi3 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 3
usb-storage: waiting for device to settle before scanning
  Vendor: PLEXTOR   Model: DVDR   PX-708A    Rev: 1.12
  Type:   CD-ROM                             ANSI SCSI revision: 00
sr0: scsi3-mmc drive: 40x/40x writer cd/rw xa/form2 cdda tray
sr 3:0:0:0: Attached scsi CD-ROM sr0
sr 3:0:0:0: Attached scsi generic sg1 type 5
usb-storage: device scan complete

Also, dev entries are created for my dvd writer, and internal cdrw:

lrwxrwxrwx 1 root     root         4 Jan 30 10:07 cdrom -> scd0
lrwxrwxrwx 1 root     root         3 Jan 26 08:21 cdrom-hdb -> hdb
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 cdrom-sr0 -> scd0
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 cdrw -> scd0
lrwxrwxrwx 1 root     root         3 Jan 26 08:21 cdrw-hdb -> hdb
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 cdrw-sr0 -> scd0
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 cdwriter -> scd0
lrwxrwxrwx 1 root     root         3 Jan 26 08:21 cdwriter-hdb -> hdb
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 cdwriter-sr0 -> scd0
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 dvd -> scd0
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 dvdrw -> scd0
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 dvdrw-sr0 -> scd0
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 dvd-sr0 -> scd0
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 dvdwriter -> scd0
lrwxrwxrwx 1 root     root         4 Jan 30 10:07 dvdwriter-sr0 -> scd0
brw------- 1 bottiger disk   3,   64 Jan 26 08:21 hdb
brw------- 1 bottiger disk  11,    0 Jan 30 10:07 scd0

However, blank disks are not auto mounted, and if I try to get nautilus to work
with the drive...

nautilus-cd-burner --source-device=/dev/dvdwriter

I get the message, "The specified device '/dev/dvdwriter' is not a valid CD/DVD
drive."

This used to work, and still does using cdrtools or XCDRoast.  I'm stumped.

Version-Release number of selected component (if applicable):
nautilus-cd-burner-2.14.3-2.fc5
nautilus-cd-burner-devel-2.14.3-2.fc5

How reproducible:
Every time, with multiple drives

Steps to Reproduce:
1. Add a drive
2. Wait
3.
  
Actual results:
Nothing gets mounted or burned

Expected results:
CD burning window, or automounted cd

Additional info:
I have not been able to test this on fedora 6.
Comment 1 Bug Zapper 2008-04-04 02:01:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:08:00 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.